### Method

# Gimp Image get_layer_by_name

since: 2.8

#### Declaration [src]

    GimpLayer*
    gimp_image_get_layer_by_name (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Find a layer with a given name in an image.

This procedure returns the layer with the given name in the specified image.

Available since: 2.8

#### Parameters

`name`

  Type: `const gchar*`

  The name of the layer to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpLayer`

The layer with the specified name.

The data is owned by the instance.